org.eclnt.workplace

## Class WorkplaceTileInfoSplitPane

- java.lang.Object
- - org.eclnt.util.valuemgmt.BeanWithParent
  - - org.eclnt.workplace.WorkplaceTileInfoSplitPane

- All Implemented Interfaces:
    java.io.Serializable

      public class WorkplaceTileInfoSplitPane
      extends BeanWithParent
      implements java.io.Serializable

  Definition about a split pane of a workplace perspective. A split pane may consist out of two split panes itself ("subSplit1", "subSplit2"), or ot may consist out of one split paned and one workpage container ("subSplit1", "subContianer2" or "subContainer1, subSplit2", or it may consist out of two workpage containers ("subContainer1", "subContainer2"). - You see you need to define one split/container with suffix "1" and one split/container with suffix "2".
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkplaceTileInfoSplitPane()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDividerLocation()` Divider location: either percentage value (e.g. "60%") or pixel value (e.g. "300").
    `java.lang.String` | `getOrientation()` Orientation: either "horizontal" or "vertical".
    `WorkplaceTileInfoPageContainer` | `getSubContainer1()` Definition, if the left/top split area is a workpage container.
    `WorkplaceTileInfoPageContainer` | `getSubContainer2()` Definition, if the right/bottom split area is a workpage container.
    `WorkplaceTileInfoSplitPane` | `getSubSplit1()` Definition, if the left/top split area is a split pane itself.
    `WorkplaceTileInfoSplitPane` | `getSubSplit2()` Definition, if the right/bottom split area is a split pane itself.
    `void` | `setDividerLocation(java.lang.String dividerLocation)`
    `void` | `setOrientation(java.lang.String orientation)`
    `void` | `setSubContainer1(WorkplaceTileInfoPageContainer subContainer1)`
    `void` | `setSubContainer2(WorkplaceTileInfoPageContainer subContainer2)`
    `void` | `setSubSplit1(WorkplaceTileInfoSplitPane subSplit1)`
    `void` | `setSubSplit2(WorkplaceTileInfoSplitPane subSplit2)`

    - ### Methods inherited from class org.eclnt.util.valuemgmt.BeanWithParent

      `afterUnmarshal, findParent, passParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkplaceTileInfoSplitPane

          public WorkplaceTileInfoSplitPane()

  - ### Method Detail

    - #### getSubSplit1

          public WorkplaceTileInfoSplitPane getSubSplit1()

      Definition, if the left/top split area is a split pane itself.

    - #### setSubSplit1

          public void setSubSplit1(WorkplaceTileInfoSplitPane subSplit1)

    - #### getSubSplit2

          public WorkplaceTileInfoSplitPane getSubSplit2()

      Definition, if the right/bottom split area is a split pane itself.

    - #### setSubSplit2

          public void setSubSplit2(WorkplaceTileInfoSplitPane subSplit2)

    - #### getSubContainer1

          public WorkplaceTileInfoPageContainer getSubContainer1()

      Definition, if the left/top split area is a workpage container.

    - #### setSubContainer1

          public void setSubContainer1(WorkplaceTileInfoPageContainer subContainer1)

    - #### getSubContainer2

          public WorkplaceTileInfoPageContainer getSubContainer2()

      Definition, if the right/bottom split area is a workpage container.

    - #### setSubContainer2

          public void setSubContainer2(WorkplaceTileInfoPageContainer subContainer2)

    - #### getOrientation

          public java.lang.String getOrientation()

      Orientation: either "horizontal" or "vertical".

    - #### setOrientation

          public void setOrientation(java.lang.String orientation)

    - #### getDividerLocation

          public java.lang.String getDividerLocation()

      Divider location: either percentage value (e.g. "60%") or pixel value (e.g. "300").

    - #### setDividerLocation

          public void setDividerLocation(java.lang.String dividerLocation)

Copyright © CaptainCasa Gmbh. All Rights Reserved.